Name:           cminpack
Version:        1.3.0
Release:        2%{?dist}
Summary:        Solver for nonlinear equations and nonlinear least squares problems

Group:          Development/Libraries
License:        BSD
URL:            http://devernay.free.fr/hacks/cminpack/cminpack.html
Source0:        http://devernay.free.fr/hacks/cminpack/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  gcc-gfortran


%description
cminpack is an ISO C99 implementation of the FORTRAN Minpack solver package.
It is fully re-entrant and thread-safe.

%package devel
Summary: Header files and libraries for cminpack
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Contains the development headers and libraries needed to build a program with
cminpack.

%prep
%setup -q

%build
mkdir build
pushd build
%cmake -DUSE_FPIC=ON -DSHARED_LIBS=ON -DBUILD_EXAMPLES=ON -DBUILD_EXAMPLES_FORTRAN=ON ..
popd
make -C build  %{?_smp_mflags}


%install
rm -rf %{buildroot}
make -C build install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CopyrightMINPACK.txt readme.txt readmeC.txt
%{_libdir}/libcminpack.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*.html doc/*.txt
%{_libdir}/pkgconfig/*
%{_libdir}/libcminpack.so
%{_includedir}/cminpack-1


%changelog
* Sun Oct 28 2012 Rich Mattes <richmattes@gmail.com> - 1.3.0-2
- Install to correct libdir on non x86 64 bit systems

* Sat Oct 27 2012 Rich Mattes <richmattes@gmail.com> - 1.3.0-1
- Update to release 1.3.0

* Tue Oct 25 2011 Dan Horák <dan[at]danny.cz> - 1.1.3-2
- fix build on non-x86 64-bit arches

* Wed Mar 23 2011 - Rich Mattes <richmattes@gmail.com> - 1.1.3-1
- Upgrade to vesion 1.1.3

* Sun Dec 05 2010 - Rich Mattes <richmattes@gmail.com> - 1.1.2-1
- Initial build
